
From: Paul Mundt <paul.mundt@nokia.com>

A few random build failures/warnings popped up in 2.6.9, this fixes them.

Signed-off-by: Paul Mundt <paul.mundt@nokia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-sh/bitops.h  |    2 +-
 25-akpm/include/asm-sh/pgtable.h |    2 +-
 25-akpm/include/asm-sh/system.h  |    1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

diff -puN include/asm-sh/bitops.h~sh-compile-fixes include/asm-sh/bitops.h
--- 25/include/asm-sh/bitops.h~sh-compile-fixes	2004-10-26 00:58:22.239039272 -0700
+++ 25-akpm/include/asm-sh/bitops.h	2004-10-26 00:58:22.245038360 -0700
@@ -344,7 +344,7 @@ static inline int sched_find_first_bit(u
 #define ext2_test_bit(nr, addr) test_bit((nr), (addr))
 #define ext2_find_first_zero_bit(addr, size) find_first_zero_bit((addr), (size))
 #define ext2_find_next_zero_bit(addr, size, offset) \
-                find_next_zero_bit((addr), (size), (offset))
+                find_next_zero_bit((unsigned long *)(addr), (size), (offset))
 #else
 static __inline__ int ext2_set_bit(int nr, volatile void * addr)
 {
diff -puN include/asm-sh/pgtable.h~sh-compile-fixes include/asm-sh/pgtable.h
--- 25/include/asm-sh/pgtable.h~sh-compile-fixes	2004-10-26 00:58:22.240039120 -0700
+++ 25-akpm/include/asm-sh/pgtable.h	2004-10-26 00:58:22.245038360 -0700
@@ -288,7 +288,7 @@ extern unsigned int kobjsize(const void 
 
 #if defined(CONFIG_CPU_SH4) || defined(CONFIG_SH7705_CACHE_32KB)
 #define __HAVE_ARCH_PTEP_GET_AND_CLEAR
-extern inline pte_t ptep_get_and_clear(pte_t *ptep);
+extern pte_t ptep_get_and_clear(pte_t *ptep);
 #endif
 
 #include <asm-generic/pgtable.h>
diff -puN include/asm-sh/system.h~sh-compile-fixes include/asm-sh/system.h
--- 25/include/asm-sh/system.h~sh-compile-fixes	2004-10-26 00:58:22.241038968 -0700
+++ 25-akpm/include/asm-sh/system.h	2004-10-26 00:58:22.246038208 -0700
@@ -7,7 +7,6 @@
  */
 
 #include <linux/config.h>
-#include <linux/kernel.h>
 
 /*
  *	switch_to() should switch tasks to task nr n, first
_
